> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a product

> Get a product by ID



## OpenAPI

````yaml /openapi/platform.yaml get /products/{productID}
openapi: 3.0.1
info:
  title: DH Console API
  description: Data Provider SaaS platform
  contact: {}
  version: '1.0'
servers:
  - url: https://api.fiskil.com/v1/data-provider/cdr
    description: Fiskil Data Provider Platform API
security:
  - bearerAuth: []
paths:
  /products/{productID}:
    get:
      tags:
        - Products
      summary: Get a product
      description: Get a product by ID
      parameters:
        - name: productID
          in: path
          description: Product ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Product retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/product.ProductResponse'
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '404':
          description: Product not found
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
components:
  schemas:
    product.ProductResponse:
      type: object
      properties:
        additional_information:
          $ref: '#/components/schemas/product.ProductResponseAdditionalInformation'
        application_uri:
          type: string
        brand:
          type: string
        brand_name:
          type: string
        bundles:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseBundle'
        card_art:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseCardArt'
        constraints:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseConstraint'
        deposit_rates:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseDepositRate'
        description:
          type: string
        effective_from:
          type: string
        effective_to:
          type: string
        eligibility:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseEligibility'
        features:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseFeature'
        fees:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseFee'
        instalments:
          $ref: '#/components/schemas/product.ProductResponseInstalments'
        is_tailored:
          type: boolean
        last_updated:
          type: string
        lending_rates:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseLendingRate'
        name:
          type: string
        product_category:
          type: string
        product_id:
          type: string
    product.ProductResponseAdditionalInformation:
      type: object
      properties:
        additional_bundle_uris:
          type: array
          items:
            $ref: >-
              #/components/schemas/product.ProductResponseAdditionalInformationURI
        additional_eligibility_uris:
          type: array
          items:
            $ref: >-
              #/components/schemas/product.ProductResponseAdditionalInformationURI
        additional_fees_and_pricing_uris:
          type: array
          items:
            $ref: >-
              #/components/schemas/product.ProductResponseAdditionalInformationURI
        additional_overview_uris:
          type: array
          items:
            $ref: >-
              #/components/schemas/product.ProductResponseAdditionalInformationURI
        additional_terms_uris:
          type: array
          items:
            $ref: >-
              #/components/schemas/product.ProductResponseAdditionalInformationURI
        bundle_uri:
          type: string
        eligibility_uri:
          type: string
        fees_and_pricing_uri:
          type: string
        overview_uri:
          type: string
        terms_uri:
          type: string
    product.ProductResponseBundle:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        description:
          type: string
        name:
          type: string
        product_ids:
          type: array
          items:
            type: string
    product.ProductResponseCardArt:
      type: object
      properties:
        card_scheme:
          type: string
        card_type:
          type: string
        image_uri:
          type: string
        title:
          type: string
    product.ProductResponseConstraint:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        constraint_type:
          type: string
    product.ProductResponseDepositRate:
      required:
        - application_type
        - deposit_rate_type
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        application_frequency:
          type: string
        application_type:
          type: string
          description: The type of approach used to apply the rate to the account.
          enum:
            - MATURITY
            - PERIODIC
            - UPFRONT
        calculation_frequency:
          type: string
        deposit_rate_type:
          type: string
        rate:
          type: string
        tiers:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseDepositRateTier'
    product.ProductResponseEligibility:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        eligibility_type:
          type: string
    product.ProductResponseFeature:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        feature_type:
          type: string
    product.ProductResponseFee:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        currency:
          type: string
        discounts:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseFeeDiscount'
        fee_cap:
          type: string
        fee_cap_period:
          type: string
        fee_method_u_type:
          type: string
        fee_type:
          type: string
        fixed_amount:
          $ref: '#/components/schemas/product.ProductResponseFeeFixedAmount'
        name:
          type: string
        rate_based:
          $ref: '#/components/schemas/product.ProductResponseFeeRateBased'
        variable:
          $ref: '#/components/schemas/product.ProductFeeRange'
    product.ProductResponseInstalments:
      type: object
      properties:
        instalments_limit:
          type: string
        maximum_concurrent_plans:
          type: integer
        maximum_plan_value:
          type: string
        maximum_split:
          type: integer
        minimum_plan_value:
          type: string
        minimum_split:
          type: integer
    product.ProductResponseLendingRate:
      required:
        - application_type
      type: object
      properties:
        additional_info:
          type: string
        additional_value:
          type: string
        application_frequency:
          type: string
        application_type:
          type: string
          description: The type of approach used to apply the rate to the account.
          enum:
            - MATURITY
            - PERIODIC
            - UPFRONT
        calculation_frequency:
          type: string
        comparison_rate:
          type: string
        interest_payment_due:
          type: string
        lending_rate_type:
          type: string
        loan_purpose:
          type: string
        rate:
          type: string
        repayment_type:
          type: string
        tiers:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductRateTier'
    product.ProductResponseAdditionalInformationURI:
      type: object
      properties:
        additional_info_uri:
          type: string
        description:
          type: string
    product.ProductResponseDepositRateTier:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        applicability_conditions:
          type: array
          items:
            $ref: >-
              #/components/schemas/product.ProductResponseApplicabilityConditions
        maximum_value:
          type: string
        minimum_value:
          type: string
        name:
          type: string
        rate_application_method:
          type: string
        unit_of_measure:
          type: string
    product.ProductResponseFeeDiscount:
      type: object
      properties:
        accrued_rate:
          type: string
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        amount:
          type: string
        balance_rate:
          type: string
        description:
          type: string
        discount_method_u_type:
          type: string
        discount_type:
          type: string
        eligibility:
          type: array
          items:
            $ref: '#/components/schemas/product.ProductResponseFeeDiscountEligibility'
        fee_rate:
          type: string
        fixed_amount:
          $ref: '#/components/schemas/product.ProductResponseFeeDiscountFixedAmount'
        rate_based:
          $ref: '#/components/schemas/product.ProductResponseFeeDiscountRateBased'
        transaction_rate:
          type: string
    product.ProductResponseFeeFixedAmount:
      type: object
      properties:
        amount:
          type: string
    product.ProductResponseFeeRateBased:
      type: object
      properties:
        accrual_frequency:
          type: string
        amount_range:
          $ref: '#/components/schemas/product.ProductResponseFeeRange'
        rate:
          type: string
        rate_type:
          type: string
    product.ProductFeeRange:
      type: object
      properties:
        fee_maximum:
          type: string
          description: The maximum fee charged per occurrence
        fee_minimum:
          type: string
          description: The minimum fee charged per occurrence
    product.ProductRateTier:
      required:
        - name
        - unit_of_measure
      type: object
      properties:
        additional_info:
          type: string
          description: Display text providing more information on the rate tier.
        additional_info_uri:
          type: string
          description: Link to a web page with more information on this rate tier.
        applicability_conditions:
          type: array
          description: Applicability conditions for the rate tier.
          items:
            $ref: '#/components/schemas/product.ProductApplicabilityConditions'
        maximum_value:
          type: string
          description: >-
            The number of unitOfMeasure units that form the upper bound of the
            tier or band.
        minimum_value:
          type: string
          description: >-
            The number of unitOfMeasure units that form the lower bound of the
            tier. The tier should be inclusive of this value.
        name:
          type: string
          description: A display name for the tier.
        rate_application_method:
          type: string
          description: >-
            The method used to calculate the amount to be applied using one or
            more tiers.
          enum:
            - PER_TIER
            - WHOLE_BALANCE
        unit_of_measure:
          type: string
          description: >-
            The unit of measure that applies to the minimumValue and
            maximumValue values.
          enum:
            - DAY
            - DOLLAR
            - MONTH
            - PERCENT
    product.ProductResponseApplicabilityConditions:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        rate_applicability_type:
          type: string
    product.ProductResponseFeeDiscountEligibility:
      type: object
      properties:
        additional_info:
          type: string
        additional_info_uri:
          type: string
        additional_value:
          type: string
        discount_eligibility_type:
          type: string
    product.ProductResponseFeeDiscountFixedAmount:
      type: object
      properties:
        amount:
          type: string
    product.ProductResponseFeeDiscountRateBased:
      type: object
      properties:
        amount_range:
          $ref: '#/components/schemas/product.ProductResponseFeeRange'
        rate:
          type: string
        rate_type:
          type: string
    product.ProductResponseFeeRange:
      type: object
      properties:
        fee_maximum:
          type: string
        fee_minimum:
          type: string
    product.ProductApplicabilityConditions:
      required:
        - rate_applicability_type
      type: object
      properties:
        additional_info:
          type: string
          description: Display text providing more information on the condition.
        additional_info_uri:
          type: string
          description: Link to a web page with more information on this condition.
        additional_value:
          type: string
          description: >-
            Generic field containing additional information relevant to the
            rateApplicabilityType specified.
        rate_applicability_type:
          type: string
          description: Category of applicability condition associated with the rate.
          enum:
            - MIN_DEPOSITS
            - MIN_DEPOSIT_AMOUNT
            - DEPOSIT_BALANCE_INCREASED
            - EXISTING_CUST
            - NEW_ACCOUNTS
            - NEW_CUSTOMER
            - NEW_CUSTOMER_TO_GROUP
            - ONLINE_ONLY
            - OTHER
            - MIN_PURCHASES
            - MAX_WITHDRAWALS
            - MAX_WITHDRAWAL_AMOUNT
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        OAuth 2.0 access token from the [token
        endpoint](https://api.fiskil.com/v1/token).

        See [Platform API authentication](/platform-api/authentication).

````